using System.Net;

namespace adas_core.Domain.Exceptions;

public class BusinessException : AggregateException
{
    public BusinessException(HttpStatusCode status, string message) : base($"{status}: {message}")
    {
    }

    public BusinessException(string message, Exception exception) : base(message, exception)
    {
    }
}